﻿using System;
using System.Configuration;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace DisplayFeatureTootip
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer statesLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/states.shp"));
                statesLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1);
                statesLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                Map1.StaticOverlay.Layers.Add(statesLayer);

                Feature feature = new Feature(new RectangleShape(-110.22, 50, -80.03, 30));
                feature.ColumnValues.Add("description", "this is description message.");
                Map1.HighlightOverlay.Columns.Add(new FeatureSourceColumn("description"));
                Map1.HighlightOverlay.HighlightStyle = Map1.HighlightOverlay.Style;
                Map1.HighlightOverlay.Features.Add("feature", feature);
            }
        }
    }
}
